<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    public function up(): void
    {
        if (Schema::hasTable('users') === false) {
            Schema::create('users', function (Blueprint $table): void {
                $table->id();
                $table->timestamps();
            });
        }

        Schema::table('users', static function (Blueprint $table): void {
            if (Schema::hasColumn('users', 'first_name') === false) {
                $table->string('first_name')->nullable();
            }

            if (Schema::hasColumn('users', 'last_name') === false) {
                $table->string('last_name')->nullable();
            }
        });
    }
}
