<?php

namespace EventPortal\Tests\Support\Traits;

use EventPortal\Domain\Field\Models\Field;
use PHPUnit\Framework\Assert;

trait InteractsWithResponses
{
    /**
     * @param mixed $value
     */
    public function assertFieldHasResponse(Field $field, $value)
    {
        Assert::assertEquals(
            $value,
            optional($field->response)->value,
            "Failed asserting that {$field->name} has the correct response"
        );

        return $this;
    }

    /**
     * @param mixed $value
     */
    public function assertFieldHasNotResponse(Field $field, $value)
    {
        Assert::assertNotEquals(
            $value,
            optional($field->response)->value,
            "Failed asserting that {$field->name} has not got the correct response"
        );

        return $this;
    }
}
